I need help compiling Ivan_Master

Aug 23, 2017, 5:45 pm
#1
giant mushroom


Joined: Jun 20, 2017
Posts: 4
I'm using Windows 10, and I have no idea what to do. Please help!
Aug 23, 2017, 10:33 pm
#2
Joined: Sep 8, 2010
Occupation: Petty Functionary
Location: Drinking pea soup in the world map
Interests: Mangoes
Posts: 1,007
Five ways:
1) Use MinGW to produce an executable (difficulty = hard)

2) Use msys2 to build a thingee that will let you run IVAN (difficulty = moderately hard)

3) Use Visual Studio somehow (difficulty = unbelievably hard)

4) Create a vitual machine using Oracle VM Virtualbox or similar, load a Linux distribution like Debian or Ubuntu or whichever, and then pull the IVAN repo from git and compile and run (difficulty = easy)

5) Dispense with Windows and install Linux (difficulty = easiest)
Aug 24, 2017, 12:59 am
#3
giant mushroom


Joined: Jun 20, 2017
Posts: 4
I'm just doing this 'cuz I assume it has more gameplay and stuff. IS that true?
Aug 24, 2017, 3:55 am
#4
Joined: Sep 8, 2010
Occupation: Petty Functionary
Location: Drinking pea soup in the world map
Interests: Mangoes
Posts: 1,007
There's a Windows exe on the releases page, compiled last December.
There should be a September release next month, once Red's latest changes get merged in.

EDIT: Sorry I didn't answer your question, yes there is most definitely more stuff : D
Aug 24, 2017, 11:30 am
#5
giant mushroom


Joined: Jun 20, 2017
Posts: 4
Nice. Can't wait for more content!
Aug 28, 2017, 10:33 am
#6
red_kangaroo's avatar
orc general


Joined: Apr 2, 2014
Location: North Tyris
Posts: 481
A few things to look forward to:

* Two new bosses, a secret one and a less secret one!

* Expanded Attnam (and its underground)!

* Many new dialogue lines and more in-game stories!

* New music!

* Siren songs and more...

Mar 1, 5:19 pm
#7
red_kangaroo's avatar
orc general


Joined: Apr 2, 2014
Location: North Tyris
Posts: 481
So... after the last merge with new sound effects, I get a fatal error on compiling with CMake. It stops at message.h, stating that no "SDL_mixer.h" exists. I see that fejoa did something with "SDL2_mixer" in his pull request.

Is this a simple typo in message.h, or am I doing something wrong/missing something? Any thoughts?
Mar 1, 9:02 pm
#8
capristo's avatar
The Imperialist


Joined: Dec 2, 2007
Location: New Attnam
Interests: bananas
Posts: 2,036
You'll have to install SDL2 mixer on your system.

OSX:
brew install sdl2_mixer

Ubuntu:
apt-get install libsdl2-mixer-dev

yum.. probably something similar
Mar 2, 2:20 am
#9
red_kangaroo's avatar
orc general


Joined: Apr 2, 2014
Location: North Tyris
Posts: 481
Cool, thanks!

EDIT: It works.
Jump to